polkit-0.112-18.el7.i686.rpm


Advertisement

Description

polkit - An authorization framework

Property Value
Distribution CentOS 7
Repository CentOS x86_64
Package filename polkit-0.112-18.el7.i686.rpm
Package name polkit
Package version 0.112
Package release 18.el7
Package architecture i686
Package type rpm
Category System Environment/Libraries
Homepage http://www.freedesktop.org/wiki/Software/polkit
License LGPLv2+
Maintainer -
Download size 166.98 KB
Installed size 446.85 KB
polkit is a toolkit for defining and handling authorizations.  It is
used for allowing unprivileged processes to speak to privileged
processes.

Alternatives

Package Version Architecture Repository
polkit-0.112-18.el7_6.1.i686.rpm 0.112 i686 CentOS Updates
polkit-0.112-18.el7_6.1.x86_64.rpm 0.112 x86_64 CentOS Updates
polkit-0.112-18.el7.x86_64.rpm 0.112 x86_64 CentOS
polkit - - -

Requires

Name Value
/sbin/ldconfig -
dbus -
libc.so.6(GLIBC_2.7) -
libexpat.so.1 -
libgio-2.0.so.0 -
libglib-2.0.so.0 -
libgmodule-2.0.so.0 -
libgobject-2.0.so.0 -
libmozjs-17.0.so -
libmozjs-17.0.so(mozjs_17.0) -
libpam.so.0 -
libpam.so.0(LIBPAM_1.0) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.2) -
libsystemd.so.0 -
libsystemd.so.0(LIBSYSTEMD_209) -
polkit-pkla-compat -
rtld(GNU_HASH) -
shadow-utils -
systemd -

Provides

Name Value
PolicyKit = 0.11
libpolkit-agent-1.so.0 -
libpolkit-gobject-1.so.0 -
polkit = 0.112-18.el7
polkit(x86-32) = 0.112-18.el7
polkit-desktop-policy = 0.103
polkit-js-engine = 0.112-18.el7

Conflicts

Name Value
polkit-gnome < 0.97

Obsoletes

Name Value
PolicyKit <= 0.10
polkit-desktop-policy < 0.103
polkit-js-engine < 0.110-4

Download

Type URL
Mirror mirror.centos.org
Binary Package polkit-0.112-18.el7.i686.rpm
Source Package polkit-0.112-18.el7.src.rpm

Install Howto

Install polkit rpm package:

# yum install polkit

Files

Path
/etc/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
/etc/pam.d/polkit-1
/etc/polkit-1/
/etc/polkit-1/rules.d/50-default.rules
/usr/bin/pkaction
/usr/bin/pkcheck
/usr/bin/pkexec
/usr/bin/pkttyagent
/usr/lib/libpolkit-agent-1.so.0
/usr/lib/libpolkit-agent-1.so.0.0.0
/usr/lib/libpolkit-gobject-1.so.0
/usr/lib/libpolkit-gobject-1.so.0.0.0
/usr/lib/girepository-1.0/Polkit-1.0.typelib
/usr/lib/girepository-1.0/PolkitAgent-1.0.typelib
/usr/lib/polkit-1/polkit-agent-helper-1
/usr/lib/polkit-1/polkitd
/usr/lib/systemd/system/polkit.service
/usr/share/dbus-1/system-services/org.freedesktop.PolicyKit1.service
/usr/share/doc/polkit-0.112/COPYING
/usr/share/doc/polkit-0.112/NEWS
/usr/share/doc/polkit-0.112/README
/usr/share/locale/cs/LC_MESSAGES/polkit-1.mo
/usr/share/locale/da/LC_MESSAGES/polkit-1.mo
/usr/share/man/man1/pkaction.1.gz
/usr/share/man/man1/pkcheck.1.gz
/usr/share/man/man1/pkexec.1.gz
/usr/share/man/man1/pkttyagent.1.gz
/usr/share/man/man8/polkit.8.gz
/usr/share/man/man8/polkitd.8.gz
/usr/share/polkit-1/
/usr/share/polkit-1/actions/org.freedesktop.policykit.policy
/usr/share/polkit-1/rules.d/

Changelog

2018-08-01 - Jan Rybar <jrybar@redhat.com> - 0.112-18
- Error message about getting authority is too elaborate
- Resolves: rhbz#1342855
2018-07-24 - Jan Rybar <jrybar@redhat.com> - 0.112-17
- Bus disconnection report moved to debug mode
- Resolves: rhbz#1249627
2018-07-23 - Jan Rybar <jrybar@redhat.com> - 0.112-16
- polkit spawns zombie processes
- Authored by kwalker@redhat.com
- Resolves: rhbz#1570907
2018-05-31 - Jan Rybar <jrybar@redhat.com> - 0.112-15
- Localization *its* files required by newest Gnome Shell packages
- Resolves: rhbz#1584533
2017-09-19 - Yaakov Selkowitz <yselkowi@redhat.com> - 0.112-14
- Rebuilt for mozjs17 48-bit VA on aarch64
Resolves: #1436518
2017-04-04 - Miloslav Trmač <mitr@redhat.com> - 0.112-12
- Fix a memory leak in PolkitPermission.
Patch by Rui Matos <tiagomatos@gmail.com>
Resolves: #1433915
2017-02-09 - Miloslav Trmač <mitr@redhat.com> - 0.112-11
- Fix memory leaks when calling authentication agents
Resolves: #1380166
2017-02-02 - Miloslav Trmač <mitr@redhat.com> - 0.112-10
- Fix a memory leak in Polkit.spawn calls from authorization rules
Resolves: #1380166
2016-07-06 - Miloslav Trmač <mitr@redhat.com> - 0.112-9
- Update for another mozjs17 change, the pkg-config file name does not change.
Resolves: #1331776
2016-07-04 - Miloslav Trmač <mitr@redhat.com> - 0.112-8
- Update for ABI change needed to fix use of 48-bit pointers on ARM64.
Resolves: #1331776

See Also

Package Description
polkit-devel-0.112-18.el7.i686.rpm Development files for polkit
polkit-devel-0.112-18.el7.x86_64.rpm Development files for polkit
polkit-docs-0.112-18.el7.noarch.rpm Development documentation for polkit
polkit-kde-0.99.1-4.20130311git.el7.x86_64.rpm PolicyKit integration for KDE Desktop
polkit-pkla-compat-0.1-4.el7.x86_64.rpm Rules for polkit to add compatibility with pklocalauthority
polkit-qt-0.103.0-10.el7_0.i686.rpm Qt bindings for PolicyKit
polkit-qt-0.103.0-10.el7_0.x86_64.rpm Qt bindings for PolicyKit
polkit-qt-devel-0.103.0-10.el7_0.i686.rpm Development files for PolicyKit Qt bindings
polkit-qt-devel-0.103.0-10.el7_0.x86_64.rpm Development files for PolicyKit Qt bindings
polkit-qt-doc-0.103.0-10.el7_0.noarch.rpm Doxygen documentation for the PolkitQt API
poppler-0.26.5-20.el7.i686.rpm PDF rendering library
poppler-0.26.5-20.el7.x86_64.rpm PDF rendering library
poppler-cpp-0.26.5-20.el7.i686.rpm Pure C++ wrapper for poppler
poppler-cpp-0.26.5-20.el7.x86_64.rpm Pure C++ wrapper for poppler
poppler-cpp-devel-0.26.5-20.el7.i686.rpm Development files for C++ wrapper
Advertisement
Advertisement